Summary:	PEAR: @summary@
Name:		@rpm_package@
Version:	@version@
Release:	%mkrel @release@
License:	@release_license@
Group:		Development/PHP
Source0:	http://@master_server@/get/@package@-%{version}.tgz
URL:		http://@master_server@/package/@package@
BuildRequires:	php-pear >= 1.4.10
Requires(post): php-pear >= 1.4.10
Requires(preun): php-pear >= 1.4.10
Requires:	php-pear >= 1.4.10
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
@extra_headers@

%description
@description@

%prep

%setup -q -c

# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{_datadir}/pear \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{_datadir}/pear/data \
        -d test_dir=%{_datadir}/pear/tests \
        -d ext_dir=%{_libdir}/php/extensions \@extra_config@
        -s

%build

%install
rm -rf %{buildroot}

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{_datadir}/pear/.filemap
rm %{buildroot}/%{_datadir}/pear/.lock
rm -rf %{buildroot}/%{_datadir}/pear/.registry
rm -rf %{buildroot}%{_datadir}/pear/.channels
rm %{buildroot}%{_datadir}/pear/.depdb
rm %{buildroot}%{_datadir}/pear/.depdblock

@doc_files_relocation_script@

# Install XML package description
install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/@package@.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/@package@.xml ]; then
		%{_bindir}/pear install  --nodeps --soft --force --register-only %{_datadir}/pear/packages/@package@.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/@package@.xml ]; then
		%{_bindir}/pear upgrade  --nodeps --soft --force --register-only %{_datadir}/pear/packages/@package@.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/@package@.xml ]; then
		%{_bindir}/pear uninstall --nodeps --ignore-errors --register-only @possible_channel@@package@
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
@doc_files_statement@
%{_datadir}/pear/*
%{_datadir}/pear/packages/@package@.xml

